Branding - Feature Request #2983

new graphics for parabola
2021-02-15 06:12 PM - telur

Status: in progress % Done: 0%
Priority: feature

Assignee:

Category:

Description

would be nice to add some visual to make visitor more engaged and welcoming in parabola homepage
maybe called it homesplash ?
its cool i guess if there is something new and appealing once a time we go to parabola homepage

i made an initial homesplash using adaptive two images that looks good if truncated portrait and landscape display
the rest maybe just need to add wiki snipplet to automaticaly center the image

sourcefiles are in attachment
example mockup are in forums
if you want me to make specific size png or else, just reply!

History

#1 - 2021-02-16 01:23 AM - telur

forum: https://labs.parabola.nu/boards/6/topics/786

#2 - 2021-02-27 07:12 AM - bill-auger

people have suggested similar ideas before, such as an entirely
new snazzy website; but no one has followed through and made
anything useful - a formal feature request is great; but of
course, someone need to do the work

i made a new downloads page last year; but it could use some
beautifying - i made it mainly for practical reasons; but did not
put it into use yet - web design is not the highest priority for
my time; so i never polished it enough that it was any more
eye-pleasing than the existing one

there are many other design tasks that parabola needs to be done

- theres no space to add anything to the existing home page though
- that would stay as it is, at another URL - it would need to be a
new complete web page - if you have the skills and the time, thats
great - i would take the time to install it, if we get something

nice and complete

#3 - 2021-02-27 09:37 AM - telur

its okay

if anyone interested i could lend some help and suggestion in design

#4 - 2021-03-06 08:05 AM - bill-auger

again, its not so much about anyone being interested - several
people have expressed an "interest"; but no one has done the
deed - currently, there is not anyone working on artworks or
designs, so there is no one to which you could "lend help" or
suggestions to - if anything, i could lend some help and
suggestions to whoever is doing the work; but the other way
around, it probably simply would not happen (not because no one
is interested; but because no one has the time) - feel free to

take the entire initiative unto yourself - thats: adhocracy :)

for the website, there is interest in a new home-page and

downlaods page - i have the downlaods page written, it could use
styling and design - the home-page does not exist in any form yet
https://labs.parabola.nu/boards/6/topics/786

there are other, more important things besides the website too -
if graphics is your specialty, more than web pages, the calamares
installer needs a slide-show, for example

#5 - 2021-03-06 12:30 PM - telur
regarding calamares slideshow, its there any specific parabola design or anything that you want to ?, i will start working on my free time
also other untechnical design and art job i would happy to do it

#6 - 2021-03-07 02:41 AM - bill-auger

i think that the slideshow images must be png or svg - if you
work with raster graphics, i found that 846 x 544 was a good fit
- this is the one and only image now:

https:/git.parabola.nu/calamares.qgit/plain/src/branding/parabola/Wallpaper_Parabola_Landscape 846x544.png?h=parabola

im not sure how many distros you have installed; but a typical
installer slideshow presents the unique features of the

distro, like its design principles, and unique characteristics,

or use-cases - for a general "gist" of it, some ideas were given
on the bug tracker years ago

https://labs.parabola.nu/issues/844

consider omitting any text from the images; but framing out or
otherwise leaving empty spaces for text - the text can be added as
a layer, via the QML definition - that allows for language
translations later - the kaos slideshow is an example of the empty
frame design:

https://github.com/calamares/calamares-extensions/blob/calamares/branding/kaos_branding/5.svg

there is no formal "parabola style" - i gave the best accounting
of the colors used in the past, and links to the current themes
of the various parabola websites, in this related discussion:

https://labs.parabola.nu/boards/4/topics/115?r=284#message-284
the LivelSOs have a dark theme - maybe the slideshow would look
best with a matching background color? - i dunno - here is a
screenshot:

https://github.com/calamares/calamares/pull/1235#issuecomment-526216214

this is the HTML and CSS for the new downloads page, if you want
to snaz that up a bit:

https:/git.parabola.nu/server/redmine.qgit/tree/app/views/downloads ?h=development

feel free to raid the toybox for anything interesting (the 'artwork’ git repo) - the 'official/2018' branch has all of the essential logos and such, plus the
most recent stuff i made; but each branch has unique images from many people

https://qit.parabola.nu/artwork.qgit/

#7 - 2021-03-07 02:44 AM - bill-auger
- Priority changed from bug to feature
- Status changed from open to in progress

- Subject changed from how about some visual for front homepage to new graphics for parabola

i changed the ticket title, so we could keep it open for a broader scope, beyond one web page

#8 - 2021-03-07 05:29 AM - bill-auger
i remembered some other items on the TODO list

e the forum could use a landing page, such as the bug tracker has:

https://labs.parabola.nu/

the only data i have in mind for the forum page, is a list of the most recent threads
the design of the bug tracker page is not great either, feel free to re-design that too - i have a new image for it; which could use some more work
https://labs.parabola.nu/images/parabola-gnu-freeburd-bugsquashers.png
® a maintenance page, like: "the server is offline mow, try again later" - i have an image for this, if you want to review it

https://labs.parabola.nu/images/parabola-gnu-freeburd-maintenance.png

i have not published the sources for those images yet; but i would do so before using them, or if you want to improve them

#9 - 2021-03-08 11:14 AM - telur

- File parabola calamares slides.svg added

its done, the calamares slideshow, hope ya all like it.
the source are in svg, use inkscape to edit it.

i make it neutral without screenshot or examples of parabola desktop so it will be still relevant in version changes, also saves some labor work to
maintain an update.

slideshow images are in the forum
https://labs.parabola.nu/boards/20/topics/828

#10 - 2021-03-14 12:57 AM - telur

- File licenses.txt added

#11 - 2021-03-27 06:58 AM - telur

more new themes for parabola

https://labs.parabola.nu/boards/20/topics/872

#12 - 2021-03-28 06:42 AM - telur
- File server busy example.svg added

- File http error sample.svg added

web error page samples

#13 - 2021-03-28 07:38 AM - bill-auger

ok, a few notes - hopefully you are not discouraged by this
sort of feedback - in the past, there was an artist who stopped
contributing, because the contributions were not accepted
immediately, but critique and suggestions were given instead
- frankly, that is a sign of immaturity; and it was an
unfortunate event; because the work was good, and could have
been used, if that person had more patience - an experienced
artist would know, that the conventional design process,
involves iterations of re-design->proposal->review, in
cooperation with the client - its exactly the same as proper
code review

these critique and suggestions are only to help the works fit
the needs of the project; and no apology should be necessary
- you do good work; and i would like to use some of it -
unfortunately, the experience with that artist compels me to
apologize for what should be a normal expectation

re: http error sample.svg

the wording does not reflect the nature of the error - a 404
does not indicate a "problem" - it indicates that the client

has requested a resource which does not exist - a typical error
message is like: "sorry, but the requested file does not exist"

- this is the current 404 page for redmine, for example:

https://labs.parabola.nu/404.html

in most cases of 404, the advice to "try again later" is not
useful advice - the file will not exist later either
re: both images

these both read: "if the problem persists, get assistance
on the forum"

in case of 404, the "problem" will persist forever, in most
cases; because the file or database record is deleted, or has
never existed - so there is no reason to suggest asking for
"assistance" - if there is any problem, it could be a broken
link, which is a bug, not a usage problem

in case of actual errors, i would not suggest asking for
assistance on the forum - this would most likely be a bug -
therefore it deserves a bug report

generally, i would not suggest using the forum for any issue,
which requires the attention of a parabola dev - i am probably
the only parabola dev who reads it regularly - the best way to

get the attention of a parabola dev, is the bug tracker (for
bugs), and the mailing lists (for anything else)

re: both images

spaces in file names are best avoided on *nix systems - this is
not important in this context; but before putting them under

git or on the server, i would rename these, something of the form:

redmine_-_server_busy.svg
redmine_-_404_error.svg

just a hint for the future - if you continue to contribute such

good artworks, i would like to get you using git, if you are not
already, so they can be merged in more easily

#14 - 2021-03-28 11:11 AM - telur

its okay for me, im gratefuly accept any feedback. please take it easy and dont hesitate to give me more critigs or whatever your heart contents :) . im
rather read your critics than no post to read at all :D .

understand that i am an hobbysit not an profesionals, so there might be many flaws, please also be patient with me okay.

also i dont always have the free time, sometimes i do have work to earn foods, sometimes it also take very very long time, please dont regards this as
im being hateful or an act of abandonment.

as a compensate im giving the entire parabola community members permission to reuse or relicense my works freely as long as they conform with
latest fsf guidance. you are free to continue where i left or even take over my works.

im just sad that there isnt much lively going in my beloved distro as it used to be in the old days, so i hope my contribution can lightens up even a bit.
im wish all the good luck, health, and faith for internal parabola developers. please keep Parabola GNU/Linux Libre alive.

best regards ~ telur

#15 - 2021-03-28 11:20 AM - telur

back to the work

ah yes, those are really examples image. im just put a weigher if the image and placement are rights

and forget to tell that im a designer not cartoonist, so dont have to much hope if you ask me for featured characters

and for the error message should im make only the featured images and let the web handle the text

or fully images with embedded error text? if that do, how many error messages it need to be?

#16 - 2021-03-28 02:01 PM - bill-auger

images with embedded error text?

its best to have informative text as raw text - or else,
text browsers and screen readers would have no information,
other than the <img> alt-text

how many error messages it need to be?

the only error pages are for 404 (file not found) and 500
(something is broken) - the "GNU scratching his head" image
would makes sense for the 404 page too - the 500 error page
could be the same image as the maintenance image - feel free to
improve that one - i would like to use it; but it still needs

some work - especially the "WINSTON 2000" lettering

- i tried finding a libre "stencil” font; but i did not find one

https://notabug.org/bill-auger/gnu-freedood-maintenance

#17 - 2021-03-30 12:32 AM - telur
- File 404.7z added
- File 500.7z added

here the webpage error revision featuring new images.
im not knowledgeable about html script so im using a template, feel free to replace it.

#18 - 2021-03-30 12:41 AM - telur
- File 500.7z added

sorry this is the actual latest error 500 page

#19 - 2021-05-07 04:17 AM - telur
hi
because i have a new job, i think im retired for a while. thank you for the previous experience and lesson, im really appreciate it.

i will be redirecting my help with donations if i got a enough salary, wish for the best for parabola linux.

Files

homesplash.svg 1.37 MB 2021-02-15 telur
parabola calamares slides.svg 2.08 MB 2021-03-08 telur
licenses.ixt 211 Bytes 2021-03-14 telur
http error sample.svg 533 KB 2021-03-28 telur
server busy example.svg 98.3 KB 2021-03-28 telur
500.7z 196 KB 2021-03-30 telur
404.7z 310 KB 2021-03-30 telur
500.7z 196 KB 2021-03-30 telur
